# pretty_rivers

Downloads USGS data for a given location and makes a pretty map of the rivers. The width of the rivers is proportional to the area of land that the section of river drains.

## To run :
1. Clone the repository
2. Edit the extent of the map you want to produce in `extent.csv`. Include lat/long coordinates of two opposite corners (i.e. top-left and bottom-right).
3. Run the scripts:
- `01_download_data.R` - This will take the longest. The whole of Wisconsin downloads ~12GB of data
- `02_process_data.R`
- `03_make_figures.R`


## Example figure
![example figure](example.png)
